Package org.apache.sysds.hops.recompile

# Enum Class Recompiler.ResetType

java.lang.Object
java.lang.Enum<Recompiler.ResetType>
org.apache.sysds.hops.recompile.Recompiler.ResetType

All Implemented Interfaces:
  `Serializable`, `Comparable<Recompiler.ResetType>`, `Constable`

Enclosing class:
  Recompiler

public static enum Recompiler.ResetType extends Enum<Recompiler.ResetType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_RESET`
`RESET`
`RESET_KNOWN_DIMS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReset()`
`static Recompiler.ResetType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Recompiler.ResetType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RESET

public static final Recompiler.ResetType RESET

### RESET_KNOWN_DIMS

public static final Recompiler.ResetType RESET_KNOWN_DIMS

### NO_RESET

public static final Recompiler.ResetType NO_RESET

## Method Details

### values

public static Recompiler.ResetType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Recompiler.ResetType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isReset

public boolean isReset()